import { Show, TextField, EmailField, DateField } from "@refinedev/antd";
import { Card } from "antd";
import { Client } from "../../types/client";

export const ClientShow = () => {
  return (
    <Show>
      <Card title="Client Details">
        <TextField title="Name" value="name" />
        <EmailField title="Contact Email" value="contactEmail" />
        <TextField title="Organization" value="organization" />
        <DateField title="Created At" value="createdAt" />
        <DateField title="Updated At" value="updatedAt" />
      </Card>
    </Show>
  );
};
