/**
 * Deployment data model
 */
export interface Deployment {
  id: number;
  name: string;
  app_id: number;
  environment: Environment;
  version: string;
  client_id: number;
  created_at: string;
  updated_at: string;
}

export type Environment =
  | 'dev'
  | 'preprod'
  | 'prod';

export interface DeploymentFormData {
  name?: string;
  app_id: number;
  environment: Environment;
  version: string;
  client_id: number;
}